Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1524182 - Package python-manila-tests-tempest
Summary: Package python-manila-tests-tempest
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS 1533586
TreeView+ depends on / blocked
 
Reported: 2017-12-10 14:31 UTC by Chandan Kumar
Modified: 2018-01-11 16:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-09 14:09:22 UTC
amoralej: rdo-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 10910 None master: MERGED rdoinfo: Add python-manila-tests-tempest package (I0b4160c5633e2cdd4d5d61c55281ac0ffde8a890) 2018-01-23 14:17:41 UTC
RDO 11006 None master: MERGED config: Create project for manila-tempest-plugin (I203886e62b17f0ddaafba82f7ee645ff824d29ca) 2018-01-23 14:17:35 UTC
RDO 11032 None rpm-master: MERGED openstack/manila-tempest-plugin-distgit: Initial import of manila tempest plugin spec (I1e7526b9555fea476351ec0b40f423cf... 2018-01-23 14:17:29 UTC
RDO 11072 None rpm-master: MERGED openstack/manila-distgit: Remove intree tempest plugin from manila (Iccc772f7f58fd9e8265ad39cc2b6f52c7bbe8d66) 2018-01-23 14:17:23 UTC
RDO 11073 None master: MERGED rdoinfo: Open Queens gate for manila tempest plugin (Ic03bcaa3db5414462fa2bd271aaebf41461e690c) 2018-01-23 14:17:18 UTC

Description Chandan Kumar 2017-12-10 14:31:48 UTC
Package Name: python-manila-tests-tempest
Git url: https://git.openstack.org/cgit/openstack/manila-tempest-plugin
Description: It contains tempest tests for Manila project.

Comment 1 Alfredo Moralejo 2017-12-11 11:35:41 UTC
Licensecheck output:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.stestr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./manila_tempest_tests/README.rst: *No copyright* UNKNOWN
./manila_tempest_tests/clients.py: Apache (v2.0)
./manila_tempest_tests/config.py: Apache (v2.0)
./manila_tempest_tests/plugin.py: Apache (v2.0)
./manila_tempest_tests/share_exceptions.py: Apache (v2.0)
./manila_tempest_tests/utils.py: Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./manila_tempest_tests/common/constants.py: *No copyright* Apache (v2.0)
./manila_tempest_tests/common/remote_client.py: *No copyright* Apache (v2.0)
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./doc/source/admin/index.rst: *No copyright* UNKNOWN
./doc/source/cli/index.rst: *No copyright* UNKNOWN
./doc/source/configuration/index.rst: *No copyright* UNKNOWN
./doc/source/contributor/contributing.rst: *No copyright* UNKNOWN
./doc/source/contributor/index.rst: *No copyright* UNKNOWN
./doc/source/install/common_configure.rst: *No copyright* UNKNOWN
./doc/source/install/common_prerequisites.rst: *No copyright* UNKNOWN
./doc/source/install/get_started.rst: *No copyright* UNKNOWN
./doc/source/install/index.rst: *No copyright* UNKNOWN
./doc/source/install/install-obs.rst: *No copyright* UNKNOWN
./doc/source/install/install-rdo.rst: *No copyright* UNKNOWN
./doc/source/install/install-ubuntu.rst: *No copyright* UNKNOWN
./doc/source/install/install.rst: *No copyright* UNKNOWN
./doc/source/install/next-steps.rst: *No copyright* UNKNOWN
./doc/source/install/verify.rst: *No copyright* UNKNOWN
./doc/source/library/index.rst: *No copyright* UNKNOWN
./doc/source/reference/index.rst: *No copyright* UNKNOWN
./doc/source/user/index.rst: *No copyright* UNKNOWN
./manila_tempest_tests/services/share/__init__.py: Apache (v2.0)
./manila_tempest_tests/tests/api/base.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_availability_zones.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_availability_zones_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_extensions.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_limits.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_metadata.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_metadata_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_microversions.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_quotas.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_quotas_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_replication.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_replication_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_replication_snapshots.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_revert_to_snapshot.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_revert_to_snapshot_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_rules.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_rules_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_scheduler_stats_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_security_services.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_security_services_mapping.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_security_services_mapping_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_security_services_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_share_group_actions.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_share_groups.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_share_groups_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_share_networks.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_share_networks_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_share_types_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_shares.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_shares_actions.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_shares_actions_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_shares_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_snapshot_rules.py: Apache (v2.0)
./manila_tempest_tests/tests/api/test_snapshot_rules_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/scenario/manager.py: Apache (v2.0)
./manila_tempest_tests/tests/scenario/manager_share.py: Apache (v2.0)
./manila_tempest_tests/tests/scenario/test_share_basic_ops.py: Apache (v2.0)
./manila_tempest_tests/services/share/json/__init__.py: Apache (v2.0)
./manila_tempest_tests/services/share/json/shares_client.py: Apache (v2.0)
./manila_tempest_tests/services/share/v2/__init__.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_admin_actions.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_admin_actions_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_export_locations.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_export_locations_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_migration.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_migration_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_multi_backend.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_quotas.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_quotas_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_replication.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_replication_actions.py: *No copyright* Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_scheduler_stats.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_security_services.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_services.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_services_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_group_types.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_group_types_negative.py: *No copyright* Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_groups.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_groups_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_instances.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_instances_negative.py: *No copyright* Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_manage.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_networks.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_servers.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_servers_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_snapshot_instances.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_snapshot_instances_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_types.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_types_extra_specs.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_types_extra_specs_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_share_types_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_shares_actions.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_snapshot_export_locations.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_snapshot_export_locations_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_snapshot_manage.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_snapshot_manage_negative.py: Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_user_messages.py: *No copyright* Apache (v2.0)
./manila_tempest_tests/tests/api/admin/test_user_messages_negative.py: *No copyright* Apache (v2.0)
./manila_tempest_tests/services/share/v2/json/shares_client.py: Apache (v2.0)


License is valid: Apache v2.0

Comment 3 Alfredo Moralejo 2017-12-21 16:15:56 UTC
fedora-review results:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 42 files have unknown
     license. Detailed output of licensecheck in /tmp/python-manila-tests-
     tempest/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -manila-tests-tempest , python-manila-tests-tempest-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev368
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-manila-tests-tempest-0.0.1-0.20171221072500.2ce9a53.el7.centos.noarch.rpm
          python-manila-tests-tempest-doc-0.0.1-0.20171221072500.2ce9a53.el7.centos.noarch.rpm
          python-manila-tests-tempest-0.0.1-0.20171221072500.2ce9a53.el7.centos.src.rpm
python2-manila-tests-tempest.noarch: E: no-changelogname-tag
python-manila-tests-tempest-doc.noarch: W: summary-not-capitalized C python-manila-tests-tempest documentation
python-manila-tests-tempest-doc.noarch: E: no-changelogname-tag
python-manila-tests-tempest.src: E: no-changelogname-tag
python-manila-tests-tempest.src: W: invalid-url Source0: manila-tempest-plugin-0.0.1.dev368-0.20171221072500.2ce9a53.tar.gz
3 packages and 0 specfiles checked; 3 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python2-manila-tests-tempest.noarch: E: no-changelogname-tag
python2-manila-tests-tempest.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/manila-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python-manila-tests-tempest-doc.noarch: W: summary-not-capitalized C python-manila-tests-tempest documentation
python-manila-tests-tempest-doc.noarch: E: no-changelogname-tag
python-manila-tests-tempest-doc.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/manila-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 2 errors, 3 warnings.



Requires
--------
python2-manila-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-ddt
    python-oslo-log
    python-pbr
    python-tempest

python-manila-tests-tempest-doc (rpmlib, GLIBC filtered):



Provides
--------
python2-manila-tests-tempest:
    python-manila-tests-tempest
    python2-manila-tests-tempest

python-manila-tests-tempest-doc:
    python-manila-tests-tempest-doc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -rn python-manila-tests-tempest-0.0.1-0.20171221072500.2ce9a53.el7.centos.src.rpm
Buildroot used: dlrn-centos-master-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Error no-changelogname-tag is because this spec is used for DLRN which doesn't use it so it's expected.

Package is approved.

Comment 4 Alfredo Moralejo 2018-01-09 14:09:22 UTC
Package is in RDO Trunk repo for master.


Note You need to log in before you can comment on or make changes to this bug.